Index: /trunk/admin/inc/class.html_tables.inc.php
===================================================================
--- /trunk/admin/inc/class.html_tables.inc.php	(revision 2)
+++ /trunk/admin/inc/class.html_tables.inc.php	(revision 7655)
@@ -102,5 +102,5 @@
 			$rparms = array();
 			$mrow = $stop;
-			for($rno=0;$rno<$mrow;$rno++)
+			for($rno=0;$rno<$mrow;++$rno)
 			{
 				// Build GroupKey
@@ -131,5 +131,5 @@
 				$grno = $start;
 				$gkey = $rows[$start]['#gkey'];
-				for($rno=$start+1;$rno<$stop;$rno++)
+				for($rno=$start+1;$rno<$stop;++$rno)
 				{
 					$rowspan = 1;
@@ -142,5 +142,5 @@
 						$row = $rows[$rno];
 
-						for($pc=0;$pc<count($row);$pc++)
+						for($pc=0;$pc<count($row);++$pc)
 						{
 							$c = $row[$cols[$pc]];
@@ -155,5 +155,5 @@
 							}
 						}
-						$rno++;
+						++$rno;
 						$rkey = $rows[$rno]['#gkey'];
 					}
@@ -173,5 +173,5 @@
 			*/
 			//print_r($rows);
-			for($rno=$start;$rno<$stop;$rno++)
+			for($rno=$start;$rno<$stop;++$rno)
 			{
 				// let user have a hack at the row...
@@ -314,5 +314,5 @@
 			$html .= "<table width=\"98%\" bgcolor=\"#000000\">\n";
 			$f = array();
-			for($fno=0;$fno<$noflds;$fno++)
+			for($fno=0;$fno<$noflds;++$fno)
 			{
 				$f[]=$fno;
@@ -320,13 +320,13 @@
 			// Column Headings
 			$html .= "\t<tr bgcolor=\"#D3DCFF\">\n";
-			for($cno=0;$cno<$nocols;$cno++)
+			for($cno=0;$cno<$nocols;++$cno)
 			{
 				$html .= "\t\t<td align=\"center\">$cno</td>\n";
 			}
 			$html .= "\t</tr >\n";
-			for($rno=0;$rno<$norows;$rno++)
+			for($rno=0;$rno<$norows;++$rno)
 			{
 				$html .= "\t<tr bgcolor=\"#D3DCFF\">\n";
-				for($cno=0;$cno<$nocols;$cno++)
+				for($cno=0;$cno<$nocols;++$cno)
 				{
 					$c = $layout[$rno][$cno];
@@ -359,5 +359,5 @@
 			reset($cols);
 	//		while(list($cno,$name) = each($cols))
-			for($fno=0;$fno<$noflds;$fno++)
+			for($fno=0;$fno<$noflds;++$fno)
 			{
 				$name = $cols[$fno];
@@ -412,7 +412,7 @@
 			$mrows = count($tlayout);
 			$mcols = count($tlayout[0]);
-			for($pr=0;$pr<$mrows;$pr++)
-			{
-				for($pc=0;$pc<$mcols;$pc++)
+			for($pr=0;$pr<$mrows;++$pr)
+			{
+				for($pc=0;$pc<$mcols;++$pc)
 				{
 					if(isset($tlayout[$pr][$pc]))
@@ -425,16 +425,16 @@
 						{
 							unset($tlayout[$pr + $rowspan][$pc]);
-							$rowspan++;
+							++$rowspan;
 						}
 						while(($pc + $colspan < $mcols) && ($tlayout[$pr][$pc+$colspan] == $cno))
 						{
 							unset($tlayout[$pr][$pc+$colspan]);
-							$colspan++;
+							++$colspan;
 						}
 						if($colspan > 1 && $rowspan > 1)
 						{
-							for($r=$pr+1;$r<$pr+$rowspan;$r++)
+							for($r=$pr+1;$r<$pr+$rowspan;++$r)
 							{
-								for($c=$pc+1;$c<$pc+$colspan;$c++)
+								for($c=$pc+1;$c<$pc+$colspan;++$c)
 								{
 									unset($tlayout[$r][$c]);
Index: /trunk/admin/inc/class.uiconfig.inc.php
===================================================================
--- /trunk/admin/inc/class.uiconfig.inc.php	(revision 6528)
+++ /trunk/admin/inc/class.uiconfig.inc.php	(revision 7655)
@@ -407,5 +407,5 @@
 						$newvals = explode(' ',$newval);
 						$setting = end($newvals);
-						for ($i=0;$i<(count($newvals) - 1); $i++)
+						for ($i=0;$i<(count($newvals) - 1); ++$i)
 						{
 							$configs[] = $newvals[$i];
Index: /trunk/admin/inc/Controller.class.php
===================================================================
--- /trunk/admin/inc/Controller.class.php	(revision 6057)
+++ /trunk/admin/inc/Controller.class.php	(revision 7655)
@@ -109,5 +109,5 @@
 		$contents_itens = $this->controller_contentes->getElementsByTagName(self::__CONTROLLER_CONTENTES_ITEM__);
 
-		for ( $i = 0; $i < $contents_itens->length && $contents_itens->item($i)->getAttribute(self::__CONTROLLER_CONTENTES_ITEM_PARAM__) != $section_name; $i++ );
+		for ( $i = 0; $i < $contents_itens->length && $contents_itens->item($i)->getAttribute(self::__CONTROLLER_CONTENTES_ITEM_PARAM__) != $section_name; ++$i );
 		( !($i < $contents_itens->length) )
 			and die(__CLASS__ . ' [ ERROR #11 ] :: invalid section "' . $section_name . '"');
@@ -125,7 +125,7 @@
 
 		if ( empty($alias) && $alias !== '0' )
-			for ( $i = 0; $i < $section_itens->length && $section_itens->item($i)->getAttribute('ref') != $ref; $i++ );
+			for ( $i = 0; $i < $section_itens->length && $section_itens->item($i)->getAttribute('ref') != $ref; ++$i );
 		else
-			for ( $i = 0; $i < $section_itens->length && ( $section_itens->item($i)->getAttribute('ref') != $ref || $section_itens->item($i)->getAttribute('alias') !== $alias); $i++ );
+			for ( $i = 0; $i < $section_itens->length && ( $section_itens->item($i)->getAttribute('ref') != $ref || $section_itens->item($i)->getAttribute('alias') !== $alias); ++$i );
 
 		( !($i < $section_itens->length) )
@@ -264,5 +264,5 @@
 	private function _pack($script)
    	{
-		for ( $i = 0; isset($this->_parsers[$i]); $i++ )
+		for ( $i = 0; isset($this->_parsers[$i]); ++$i )
 			$script = call_user_func(array(&$this,$this->_parsers[$i]), $script);
 
Index: /trunk/jabberit_messenger/jmessenger/inc/jabberit_acl.inc.php
===================================================================
--- /trunk/jabberit_messenger/jmessenger/inc/jabberit_acl.inc.php	(revision 5320)
+++ /trunk/jabberit_messenger/jmessenger/inc/jabberit_acl.inc.php	(revision 7655)
@@ -12,5 +12,5 @@
 $size_of_acl = sizeof($GLOBALS['phpgw_info']['user']['acl']);
 
-for( $i = 0; $i < $size_of_acl && $GLOBALS['phpgw_info']['user']['acl'] != "jabberit_messenger"; $i++ )
+for( $i = 0; $i < $size_of_acl && $GLOBALS['phpgw_info']['user']['acl'] != "jabberit_messenger"; ++$i )
 {
 	$apps = unserialize($GLOBALS['phpgw_info']['server']['apps_jabberit']);
Index: /trunk/jabberit_messenger/jmessenger/inc/class.CommonFunctions.inc.php
===================================================================
--- /trunk/jabberit_messenger/jmessenger/inc/class.CommonFunctions.inc.php	(revision 3102)
+++ /trunk/jabberit_messenger/jmessenger/inc/class.CommonFunctions.inc.php	(revision 7655)
@@ -29,5 +29,5 @@
 		$key = "";
 		
-		for( $i = 0 ; $i < 61; $i++ )
+		for( $i = 0 ; $i < 61; ++$i )
 		{
 			$key   .= substr($char, $i, mt_rand(1,61));	
Index: /trunk/jabberit_messenger/jmessenger/inc/class.ContactsIm.inc.php
===================================================================
--- /trunk/jabberit_messenger/jmessenger/inc/class.ContactsIm.inc.php	(revision 3406)
+++ /trunk/jabberit_messenger/jmessenger/inc/class.ContactsIm.inc.php	(revision 7655)
@@ -70,5 +70,5 @@
 		if( is_array($users) )
 		{	
-			for($i = 0; $i < count($users); $i++)				
+			for($i = 0; $i < count($users); ++$i)
 			{
 				if( is_array($hostsJabber) )
@@ -204,7 +204,7 @@
 			$_restrict = array();
 			
-			for( $i = 0 ; $i < count($orgs) ; $i++ )
-			{
-				for( $j = 0 ; $j < count($array_uids) ; $j++ )
+			for( $i = 0 ; $i < count($orgs) ; ++$i )
+			{
+				for( $j = 0 ; $j < count($array_uids) ; ++$j )
 				{
 					if( trim($array_uids[$j]['ou']) === trim($orgs[$i]) )
@@ -248,5 +248,5 @@
 	{
 	    $result = array();
-	    for($i = $offset; $i< strlen($haystack); $i++ )
+	    for($i = $offset; $i< strlen($haystack); ++$i )
 	    {
 	        $pos = strpos($haystack,$needle,$i);
@@ -332,5 +332,5 @@
 						$orgs = array();
 				
-						for( $i = 0 ; $i < count($posAll); $i++ )
+						for( $i = 0 ; $i < count($posAll); ++$i )
 						{
 							$pos = strpos($ou_User, ",");
@@ -370,5 +370,5 @@
 							$orgs = array();
 					
-							for( $i = 0 ; $i < count($posAll); $i++ )
+							for( $i = 0 ; $i < count($posAll); ++$i )
 							{
 								$pos = strpos($ou_User, ",");
Index: /trunk/jabberit_messenger/jmessenger/inc/class.LdapIM.inc.php
===================================================================
--- /trunk/jabberit_messenger/jmessenger/inc/class.LdapIM.inc.php	(revision 3530)
+++ /trunk/jabberit_messenger/jmessenger/inc/class.LdapIM.inc.php	(revision 7655)
@@ -125,5 +125,5 @@
 			$confHosts	= $this->hostsJabber;
 			
-			for($i = 0; $i < count($confHosts); $i++ )
+			for($i = 0; $i < count($confHosts); ++$i )
 			{
 				if( $pData['serverLdap'] == $confHosts[$i]['serverLdap'] )
@@ -197,5 +197,5 @@
 				$count = count($members[$servers]);
 				
-				for( $i = 0; $i < $count; $i++ )
+				for( $i = 0; $i < $count; ++$i )
 				{
 					if ( ! $this->getMemberUid($groups, $members[$servers][$i]['uid'] ) )
@@ -210,5 +210,5 @@
 				$confHosts	= $this->hostsJabber;
 			
-				for($i = 0; $i < count($confHosts); $i++ )
+				for($i = 0; $i < count($confHosts); ++$i )
 				{
 					if( $this->ldap )
@@ -279,5 +279,5 @@
 			$confHosts	= $this->hostsJabber;
 		
-			for($i = 0; $i < count($confHosts); $i++ )
+			for($i = 0; $i < count($confHosts); ++$i )
 			{
 				if( $this->ldap )
@@ -322,5 +322,5 @@
 			$confHosts	= $this->hostsJabber;
 			
-			for($i = 0; $i < count($confHosts); $i++ )
+			for($i = 0; $i < count($confHosts); ++$i )
 			{
 				if( $pLdap_host == $confHosts[$i]['serverLdap'] )
@@ -344,5 +344,5 @@
 			$info = ldap_get_entries($this->ldap, $search);
 		
-			for ($i=0; $i<$info["count"]; $i++)
+			for ($i=0; $i<$info["count"]; ++$i)
 			{
 				$a_sectors[] = $info[$i]['dn'];
@@ -375,5 +375,5 @@
             else 
             {
-				for( $i = 0; $i < $level; $i++)
+				for( $i = 0; $i < $level; ++$i)
 					$display .= '---';
             }
@@ -399,5 +399,5 @@
 			$confHosts	= $this->hostsJabber;	
 
-			for( $i = 0; $i < count($confHosts); $i++ )
+			for( $i = 0; $i < count($confHosts); ++$i )
 			{
 				if( trim($host) === trim($confHosts[$i]['jabberName']) )
@@ -427,5 +427,5 @@
 			$entry		= ldap_get_entries( $this->ldap, $search );
 			
-			for( $i = 0 ; $i < $entry['count']; $i++ )
+			for( $i = 0 ; $i < $entry['count']; ++$i )
 			{
 				if( $entry[$i]['jpegphoto'][0] && $entry[$i]['phpgwaccountvisible'][0] != '-1' )
@@ -454,5 +454,5 @@
 		$conn	= "";		
 
-		for( $i = 0; $i < count($confHosts); $i++ )
+		for( $i = 0; $i < count($confHosts); ++$i )
 		{
 			if( $pLdap && $pLdap == $confHosts[$i]['serverLdap'] )
@@ -513,5 +513,5 @@
 		$j		= 0;
 		
-		for( $i = 0 ; $i < $entry['count']; $i++ )
+		for( $i = 0 ; $i < $entry['count']; ++$i )
 		{
 			if ( $entry[$i]['phpgwaccountvisible'][0] != '-1' )
Index: /trunk/jabberit_messenger/jmessenger/inc/class.DataBaseIM.inc.php
===================================================================
--- /trunk/jabberit_messenger/jmessenger/inc/class.DataBaseIM.inc.php	(revision 3326)
+++ /trunk/jabberit_messenger/jmessenger/inc/class.DataBaseIM.inc.php	(revision 7655)
@@ -59,5 +59,5 @@
 		$return = "";	
 		
-		for( $i = 0 ; $i < count($hostsJabber); $i++ )
+		for( $i = 0 ; $i < count($hostsJabber); ++$i )
 			if( $hostsJabber[$i]['org'] == $findHosts[0] && $hostsJabber[$i]['jabberName'] == $findHosts[1] )
 			{
@@ -469,5 +469,5 @@
 		{
 		    $result = array();
-		    for($i = $offset; $i< strlen($haystack); $i++ )
+		    for($i = $offset; $i< strlen($haystack); ++$i )
 		    {
 		        $pos = strpos($haystack,$needle,$i);
@@ -490,5 +490,5 @@
 		$orgs = array();
 
-		for( $i = 0 ; $i < count($posAll); $i++ )
+		for( $i = 0 ; $i < count($posAll); ++$i )
 		{
 			$pos = strpos($organization, ",");
@@ -628,5 +628,5 @@
 					if( count($confHostsOrgs) > 0 )
 					{
-						for( $i = 0; $i < count($confHostsOrgs); $i++)
+						for( $i = 0; $i < count($confHostsOrgs); ++$i)
 							if( $confHostsOrgs[$i]['org'] == $hosts[0] && $confHostsOrgs[$i]['jabberName'] == $hosts[1])
 								$key = $i;	
Index: /trunk/jabberit_messenger/jmessenger/inc/Controller.class.php
===================================================================
--- /trunk/jabberit_messenger/jmessenger/inc/Controller.class.php	(revision 3102)
+++ /trunk/jabberit_messenger/jmessenger/inc/Controller.class.php	(revision 7655)
@@ -111,5 +111,5 @@
 		$contents_itens = $this->controller_contentes->getElementsByTagName(self::__CONTROLLER_CONTENTES_ITEM__);
 
-		for ( $i = 0; $i < $contents_itens->length && $contents_itens->item($i)->getAttribute(self::__CONTROLLER_CONTENTES_ITEM_PARAM__) != $section_name; $i++ );
+		for ( $i = 0; $i < $contents_itens->length && $contents_itens->item($i)->getAttribute(self::__CONTROLLER_CONTENTES_ITEM_PARAM__) != $section_name; ++$i );
 		( !($i < $contents_itens->length) )
 			and die(__CLASS__ . ' [ ERROR #11 ] :: invalid section "' . $section_name . '"');
@@ -127,7 +127,7 @@
 
 		if ( empty($alias) && $alias !== '0' )
-			for ( $i = 0; $i < $section_itens->length && $section_itens->item($i)->getAttribute('ref') != $ref; $i++ );
+			for ( $i = 0; $i < $section_itens->length && $section_itens->item($i)->getAttribute('ref') != $ref; ++$i );
 		else
-			for ( $i = 0; $i < $section_itens->length && ( $section_itens->item($i)->getAttribute('ref') != $ref || $section_itens->item($i)->getAttribute('alias') !== $alias); $i++ );
+			for ( $i = 0; $i < $section_itens->length && ( $section_itens->item($i)->getAttribute('ref') != $ref || $section_itens->item($i)->getAttribute('alias') !== $alias); ++$i );
 
 		( !($i < $section_itens->length) )
Index: /trunk/jabberit_messenger/inc/login.php
===================================================================
--- /trunk/jabberit_messenger/inc/login.php	(revision 3155)
+++ /trunk/jabberit_messenger/inc/login.php	(revision 7655)
@@ -88,5 +88,5 @@
 			$pluginsJava[] = "callVoip.jar";		
 		
-		for( $i = 0; $i < count($pluginsJava); $i++ )
+		for( $i = 0; $i < count($pluginsJava); ++$i )
 		{
 			$javaFiles	 .= $path . "plugins/" . $pluginsJava[$i] . ",";
Index: /trunk/jabberit_messenger/inc/jabberit_acl.inc.php
===================================================================
--- /trunk/jabberit_messenger/inc/jabberit_acl.inc.php	(revision 6179)
+++ /trunk/jabberit_messenger/inc/jabberit_acl.inc.php	(revision 7655)
@@ -40,5 +40,5 @@
 	$size_of_acl = sizeof($GLOBALS['phpgw_info']['user']['acl']);
 	
-	for( $i = 0; $i < $size_of_acl && $GLOBALS['phpgw_info']['user']['acl'] != "jabberit_messenger"; $i++ )
+	for( $i = 0; $i < $size_of_acl && $GLOBALS['phpgw_info']['user']['acl'] != "jabberit_messenger"; ++$i )
 	{
 		$apps = unserialize($GLOBALS['phpgw_info']['server']['apps_jabberit']);
Index: /trunk/jabberit_messenger/inc/class.contacts_im.inc.php
===================================================================
--- /trunk/jabberit_messenger/inc/class.contacts_im.inc.php	(revision 3530)
+++ /trunk/jabberit_messenger/inc/class.contacts_im.inc.php	(revision 7655)
@@ -93,5 +93,5 @@
 		if( is_array($users) )
 		{	
-			for($i = 0; $i < count($users); $i++)				
+			for($i = 0; $i < count($users); ++$i)
 			{
 				if( is_array($hostsJabber) )
@@ -226,7 +226,7 @@
 			$_restrict = array();
 			
-			for( $i = 0 ; $i < count($orgs) ; $i++ )
-			{
-				for( $j = 0 ; $j < count($array_uids) ; $j++ )
+			for( $i = 0 ; $i < count($orgs) ; ++$i )
+			{
+				for( $j = 0 ; $j < count($array_uids) ; ++$j )
 				{
 					if( trim($array_uids[$j]['ou']) === trim($orgs[$i]) )
@@ -248,5 +248,5 @@
 	{
 	    $result = array();
-	    for($i = $offset; $i< strlen($haystack); $i++ )
+	    for($i = $offset; $i< strlen($haystack); ++$i )
 	    {
 	        $pos = strpos($haystack,$needle,$i);
@@ -332,5 +332,5 @@
 						$orgs = array();
 				
-						for( $i = 0 ; $i < count($posAll); $i++ )
+						for( $i = 0 ; $i < count($posAll); ++$i )
 						{
 							$pos = strpos($ou_User, ",");
@@ -370,5 +370,5 @@
 							$orgs = array();
 					
-							for( $i = 0 ; $i < count($posAll); $i++ )
+							for( $i = 0 ; $i < count($posAll); ++$i )
 							{
 								$pos = strpos($ou_User, ",");
Index: /trunk/jabberit_messenger/inc/class.ldap_im.inc.php
===================================================================
--- /trunk/jabberit_messenger/inc/class.ldap_im.inc.php	(revision 3530)
+++ /trunk/jabberit_messenger/inc/class.ldap_im.inc.php	(revision 7655)
@@ -126,5 +126,5 @@
 			$confHosts	= $this->hostsJabber;
 			
-			for($i = 0; $i < count($confHosts); $i++ )
+			for($i = 0; $i < count($confHosts); ++$i )
 			{
 				if( $pData['serverLdap'] == $confHosts[$i]['serverLdap'] )
@@ -198,5 +198,5 @@
 				$count = count($members[$servers]);
 				
-				for( $i = 0; $i < $count; $i++ )
+				for( $i = 0; $i < $count; ++$i )
 				{
 					if ( ! $this->getMemberUid($groups, $members[$servers][$i]['uid'] ) )
@@ -211,5 +211,5 @@
 				$confHosts	= $this->hostsJabber;
 			
-				for($i = 0; $i < count($confHosts); $i++ )
+				for($i = 0; $i < count($confHosts); ++$i )
 				{
 					if( $this->ldap )
@@ -227,5 +227,5 @@
 						$count = count($members[$servers]);
 						
-						for( $i = 0; $i < $count; $i++ )
+						for( $i = 0; $i < $count; ++$i )
 						{
 							if ( ! $this->getMemberUid($groups, $members[$servers][$i]['uid'] ) )
@@ -280,5 +280,5 @@
 			$confHosts	= $this->hostsJabber;
 		
-			for($i = 0; $i < count($confHosts); $i++ )
+			for($i = 0; $i < count($confHosts); ++$i )
 			{
 				if( $this->ldap )
@@ -323,5 +323,5 @@
 			$confHosts	= $this->hostsJabber;
 			
-			for($i = 0; $i < count($confHosts); $i++ )
+			for($i = 0; $i < count($confHosts); ++$i )
 			{
 				if( $pLdap_host == $confHosts[$i]['serverLdap'] )
@@ -345,5 +345,5 @@
 			$info = ldap_get_entries($this->ldap, $search);
 		
-			for ($i=0; $i<$info["count"]; $i++)
+			for ($i=0; $i<$info["count"]; ++$i)
 			{
 				$a_sectors[] = $info[$i]['dn'];
@@ -376,5 +376,5 @@
             else 
             {
-				for( $i = 0; $i < $level; $i++)
+				for( $i = 0; $i < $level; ++$i)
 					$display .= '---';
             }
@@ -398,5 +398,5 @@
 		$conn	= "";		
 
-		for( $i = 0; $i < count($confHosts); $i++ )
+		for( $i = 0; $i < count($confHosts); ++$i )
 		{
 			if( $pLdap && $pLdap == $confHosts[$i]['serverLdap'] )
@@ -456,5 +456,5 @@
 		$j		= 0;
 		
-		for( $i = 0 ; $i < $entry['count']; $i++ )
+		for( $i = 0 ; $i < $entry['count']; ++$i )
 		{
 			if ( $entry[$i]['phpgwaccountvisible'][0] != '-1' )
Index: /trunk/jabberit_messenger/inc/class.db_im.inc.php
===================================================================
--- /trunk/jabberit_messenger/inc/class.db_im.inc.php	(revision 3266)
+++ /trunk/jabberit_messenger/inc/class.db_im.inc.php	(revision 7655)
@@ -60,5 +60,5 @@
 		$return = "";	
 		
-		for( $i = 0 ; $i < count($hostsJabber); $i++ )
+		for( $i = 0 ; $i < count($hostsJabber); ++$i )
 			if( $hostsJabber[$i]['org'] == $findHosts[0] && $hostsJabber[$i]['jabberName'] == $findHosts[1] )
 			{
@@ -496,5 +496,5 @@
 		{
 		    $result = array();
-		    for($i = $offset; $i< strlen($haystack); $i++ )
+		    for($i = $offset; $i< strlen($haystack); ++$i )
 		    {
 		        $pos = strpos($haystack,$needle,$i);
@@ -517,5 +517,5 @@
 		$orgs = array();
 
-		for( $i = 0 ; $i < count($posAll); $i++ )
+		for( $i = 0 ; $i < count($posAll); ++$i )
 		{
 			$pos = strpos($organization, ",");
@@ -655,5 +655,5 @@
 					if( count($confHostsOrgs) > 0 )
 					{
-						for( $i = 0; $i < count($confHostsOrgs); $i++)
+						for( $i = 0; $i < count($confHostsOrgs); ++$i)
 							if( $confHostsOrgs[$i]['org'] == $hosts[0] && $confHostsOrgs[$i]['jabberName'] == $hosts[1])
 								$key = $i;	
Index: /trunk/jabberit_messenger/inc/Controller.class.php
===================================================================
--- /trunk/jabberit_messenger/inc/Controller.class.php	(revision 3199)
+++ /trunk/jabberit_messenger/inc/Controller.class.php	(revision 7655)
@@ -111,5 +111,5 @@
 		$contents_itens = $this->controller_contentes->getElementsByTagName(self::__CONTROLLER_CONTENTES_ITEM__);
 
-		for ( $i = 0; $i < $contents_itens->length && $contents_itens->item($i)->getAttribute(self::__CONTROLLER_CONTENTES_ITEM_PARAM__) != $section_name; $i++ );
+		for ( $i = 0; $i < $contents_itens->length && $contents_itens->item($i)->getAttribute(self::__CONTROLLER_CONTENTES_ITEM_PARAM__) != $section_name; ++$i );
 		( !($i < $contents_itens->length) )
 			and die(__CLASS__ . ' [ ERROR #11 ] :: invalid section "' . $section_name . '"');
@@ -127,7 +127,7 @@
 
 		if ( empty($alias) && $alias !== '0' )
-			for ( $i = 0; $i < $section_itens->length && $section_itens->item($i)->getAttribute('ref') != $ref; $i++ );
+			for ( $i = 0; $i < $section_itens->length && $section_itens->item($i)->getAttribute('ref') != $ref; ++$i );
 		else
-			for ( $i = 0; $i < $section_itens->length && ( $section_itens->item($i)->getAttribute('ref') != $ref || $section_itens->item($i)->getAttribute('alias') !== $alias); $i++ );
+			for ( $i = 0; $i < $section_itens->length && ( $section_itens->item($i)->getAttribute('ref') != $ref || $section_itens->item($i)->getAttribute('alias') !== $alias); ++$i );
 
 		( !($i < $section_itens->length) )
Index: /trunk/contactcenter/inc/class.bo_shared_people_manager.inc.php
===================================================================
--- /trunk/contactcenter/inc/class.bo_shared_people_manager.inc.php	(revision 5509)
+++ /trunk/contactcenter/inc/class.bo_shared_people_manager.inc.php	(revision 7655)
@@ -402,5 +402,5 @@
 					$return['relation'.$count]['type'] = $relation->get_type_name(); 
 					$return['relation'.$count]['is_subordinated'] = $relation->get_is_subordinated();
-					$count++;
+					++$count;
 				}
 				else if ($extra !== 'subordinated')
@@ -410,5 +410,5 @@
 					$return['relation'.$count]['type'] = $relation->get_type_name(); 
 					$return['relation'.$count]['is_subordinated'] = $relation->get_is_subordinated();
-					$count++;
+					++$count;
 				}
 			}
@@ -581,5 +581,5 @@
 					$return['connection'.$count]['connection_value'] = $connection->get_value();
 					$return['connection'.$count]['connection_is_default'] = $connection->is_default();
-					$count++;
+					++$count;
 				}
 				else if ($extra !== 'default')
@@ -592,5 +592,5 @@
 					$return['connection'.$count]['connection_value'] = $connection->get_value();
 					$return['connection'.$count]['connection_is_default'] = $connection->is_default();
-					$count++;
+					++$count;
 				}
 			}
@@ -638,5 +638,5 @@
 					$return['company'.$count]['default_company'] = $value['default_company'];
 					$return['company'.$count]['default_contact'] = $value['default_contact'];
-					$count++;
+					++$count;
 				}
 				else if ($extra !== 'default')
@@ -648,5 +648,5 @@
 					$return['company'.$count]['default_company'] = $value['default_company'];
 					$return['company'.$count]['default_contact'] = $value['default_contact'];
-					$count++;
+					++$count;
 				}
 			}
@@ -1146,5 +1146,5 @@
 			 		'connection_is_default' => 1,
 		 		);
-				$i++;
+				++$i;
 			}
 
Index: /trunk/contactcenter/inc/class.so_main.inc.php
===================================================================
--- /trunk/contactcenter/inc/class.so_main.inc.php	(revision 1689)
+++ /trunk/contactcenter/inc/class.so_main.inc.php	(revision 7655)
@@ -240,7 +240,7 @@
 							$this->manage_fields($this->db_tables[$table]['fields'][$field_info['name']], 'sync', 'new');
 						}
-						$pos++;
-					}
-					$pos++;
+						++$pos;
+					}
+					++$pos;
 				}
 			}
@@ -389,5 +389,5 @@
 					$where = false;
 					$n_values = count($table_info['keys']['primary'][0]['values']);
-					for ($i = 0; $i < $n_values; $i++)
+					for ($i = 0; $i < $n_values; ++$i)
 					{
 						unset($where);
@@ -524,5 +524,5 @@
 			
 			reset($table_info['fields']);
-			for ($i = 0; $i < $n_values; $i++)
+			for ($i = 0; $i < $n_values; ++$i)
 			{
 				$multi_table_changed = false;
Index: /trunk/contactcenter/inc/class.bo_ldap_manager.inc.php
===================================================================
--- /trunk/contactcenter/inc/class.bo_ldap_manager.inc.php	(revision 4838)
+++ /trunk/contactcenter/inc/class.bo_ldap_manager.inc.php	(revision 7655)
@@ -227,5 +227,5 @@
 			// stream_select native timeout.
 			$response = NULL;
-			for ($i = 0; $i < $timeout; $i++)
+			for ($i = 0; $i < $timeout; ++$i)
 			{
 				if ($tsearch->isActive())
@@ -376,5 +376,5 @@
 			$entries = ldap_get_entries($resource, $result_res);
 			
-			for ($i = 0; $i < $entries['count']; $i++)
+			for ($i = 0; $i < $entries['count']; ++$i)
 			{
 				$subtree = $this->get_ldap_tree_recursive($resource, $entries[$i]['dn'], $objectClass);
@@ -439,5 +439,5 @@
 			$sub_branches = array();
 			
-			for($i = 0; $i <count($referral); $i++) {
+			for($i = 0; $i <count($referral); ++$i) {
 				$dn = str_replace("??base","",preg_replace('!^(ldap://[^/]+)/(.*$)!', '\\2', $referral[$i]));
 				$dn = explode(",",$dn);				
Index: /trunk/contactcenter/inc/class.bo_global_ldap_catalog.inc.php
===================================================================
--- /trunk/contactcenter/inc/class.bo_global_ldap_catalog.inc.php	(revision 5399)
+++ /trunk/contactcenter/inc/class.bo_global_ldap_catalog.inc.php	(revision 7655)
@@ -194,5 +194,5 @@
 
 		    $rEntry = ldap_first_entry( $ldap, $result_r );
-		    for ( $iCurrent = 0; $iCurrent < $iEnd ;$iCurrent++)
+		    for ( $iCurrent = 0; $iCurrent < $iEnd ;++$iCurrent)
 		    {
 
@@ -262,5 +262,5 @@
 
                     $rEntry = ldap_first_entry( $ldap, $result_r );
-                    for ( $iCurrent = 0; $iCurrent < $iEnd ;$iCurrent++)
+                    for ( $iCurrent = 0; $iCurrent < $iEnd ;++$iCurrent)
                     {
 
@@ -769,5 +769,5 @@
 								$contact_data['relations']['relation'.$i]['type'] = $l_type;
 								$contact_data['relations']['relation'.$i]['names_ordered'] = utf8_decode($contact[$l_type_fields[0]][0]);
-								$i++;
+								++$i;
 							}
 						}
@@ -818,5 +818,5 @@
 									$contact_data['addresses']['address'.$i]['type'] = $l_type;
 									$contact_data['addresses']['address'.$i][$l_field] = utf8_decode($contact[$l_type_fields[0]][0]);
-									$i++;
+									++$i;
 								}
 							}
@@ -872,5 +872,5 @@
 									$contact_data['connections']['connection'.$i]['type'] = $l_type;
 									$contact_data['connections']['connection'.$i][$l_field] = utf8_decode($contact[$l_type_fields[0]][0]);
-									$i++;
+									++$i;
 								}
 							}
@@ -1096,5 +1096,5 @@
 									$contact_data['relations']['relation'.$i]['type'] = $l_type;
 									$contact_data['relations']['relation'.$i]['names_ordered'] = utf8_decode($contact[$l_type_fields[0]][0]);
-									$i++;
+									++$i;
 								}
 							}
@@ -1145,5 +1145,5 @@
 										$contact_data['addresses']['address'.$i]['type'] = $l_type;
 										$contact_data['addresses']['address'.$i][$l_field] = utf8_decode($contact[$l_type_fields[0]][0]);
-										$i++;
+										++$i;
 									}
 								}
@@ -1200,5 +1200,5 @@
 										$contact_data['connections']['connection'.$i]['type'] = $l_type;
 										$contact_data['connections']['connection'.$i][$l_field] = utf8_decode($contact[$l_type_fields[0]][0]);
-										$i++;
+										++$i;
 									}
 								}
@@ -1360,5 +1360,5 @@
 			{
 				$filter = '(&(objectClass='.$this->src_info['obj'] .  ')(|';
-				for ($i = 0; $i < $size; $i++)
+				for ($i = 0; $i < $size; ++$i)
 				{
 
Index: /trunk/contactcenter/inc/class.bo_company_manager.inc.php
===================================================================
--- /trunk/contactcenter/inc/class.bo_company_manager.inc.php	(revision 2)
+++ /trunk/contactcenter/inc/class.bo_company_manager.inc.php	(revision 7655)
@@ -213,5 +213,5 @@
 				$return['relation'.$count]['type'] = $relation->get_type_name(); 
 				$return['relation'.$count]['is_subordinated'] = $relation->get_is_subordinated();
-				$count++;
+				++$count;
 			}
 			
@@ -285,5 +285,5 @@
 				$return['address'.$count]['id_country'] = $address->get_id_country();
 				$return['address'.$count]['country_name'] = $address->get_country_name();
-				$count++;
+				++$count;
 			}
 			
@@ -331,5 +331,5 @@
 				$return['connection'.$count]['connection_value'] = $connection->get_value();
 				$return['connection'.$count]['connection_is_default'] = $connection->is_default();
-				$count++;
+				++$count;
 			}
 			
@@ -368,5 +368,5 @@
 				$return['contact'.$count]['title'] = $value['title'];
 				$return['contact'.$count]['department'] = $value['department'];
-				$count++;
+				++$count;
 			}
 			
@@ -412,5 +412,5 @@
 				$return['legal'.$count]['legal_info_value'] = $legal->get_value();
 				$return['legal'.$count]['legal_is_default'] = $legal->is_default();
-				$count++;
+				++$count;
 			}
 			
Index: /trunk/contactcenter/inc/class.abo_catalog.inc.php
===================================================================
--- /trunk/contactcenter/inc/class.abo_catalog.inc.php	(revision 5915)
+++ /trunk/contactcenter/inc/class.abo_catalog.inc.php	(revision 7655)
@@ -308,5 +308,5 @@
 			
 			$n_fields = count($what);
-			for($i = 0; $i < $n_fields; $i++)
+			for($i = 0; $i < $n_fields; ++$i)
 			{
 				$path = $this->get_tables_by_field($what[$i], $tables_def);
@@ -354,5 +354,5 @@
 					if ($n_joins = count($query_fields_joins))
 					{
-						for($k = 0; $k < $n_joins; $k++)
+						for($k = 0; $k < $n_joins; ++$k)
 						{
 							if (preg_match("/$query_join_reg/",$query_fields_joins[$k]))
@@ -388,5 +388,5 @@
 			$n_restrictions = count($restric_fields);
 			
-			for ($i = 0; $i < $n_restrictions; $i++)
+			for ($i = 0; $i < $n_restrictions; ++$i)
 			{
 				$path = $this->get_tables_by_field($restric_fields[$i], $tables_def);
@@ -428,5 +428,5 @@
 					if ($n_joins = count($query_restric_joins))
 					{
-						for($k = 0; $k < $n_joins; $k++)
+						for($k = 0; $k < $n_joins; ++$k)
 						{
 							if (preg_match("/$query_join_reg/",$query_restric_joins[$k]))
@@ -605,5 +605,5 @@
 			$return = array();
 			$previous = false;
-			for($i = 0; $i < $n_fields-1; $i++)
+			for($i = 0; $i < $n_fields-1; ++$i)
 			{
 				$actual = $field_parts[$i];
